Failed opening required index.php

В последнее время уже несколько раз стала появляться вот такя проблема:

Warning: Unknown: failed to open stream: Отказано в доступе in Unknown on line 0

Fatal error: Unknown: Failed opening required '/domains/site.ru/index.php' (include_path='.:/usr/local/zend-5.4/share/pear') in Unknown on line 0

При попытке открыть index.php в корне сайта получаю:
«Не удалось получить содержимое файла. Пожалуйста, проверьте путь и попробуйте еще раз»
— впечатление, что файл поврежден. Но, каким образом он повреждается — ума не приложу. Разумеется, этот файл никогда не трогается, даже при самых радикальных изменениях кода, которые в 99% затрагивают только файлы шаблонов скина.

Собственно решением является замена файла сайт.ру/index.php (который, даже скачать с сервера невозможно, постоянно выкидывает на какие-то ошибки). Переименовываешь старый файл на сервере, и создаешь там новый индекс файл с соответствующим содержимым. Только тогда сайт запускается.

Погуглив — внятного решения не нашел. Все случаи строго индивидуальны, либо же были случае повреждения файла самими администраторами проектов, но, как я и сказал выше — данный файл практически не прикосновенен.

P.S.: Проект на 1.0.7

Похожие статьи

  • Ошибка System error #1002 помогите
    Перенес сайт на хостинг с локального Denwer, при заходе на главную страницу появляется ошибка System error #1002, при этом в виджете прямой эфир идет постоянно загрузка, в админку не входит.Как исправить подскажите...
  • Проблема с авторизацией на локальном компьютере (AltoCMS 1.1.19.4)
    Установил на локальный компьютер AltoCMS 1.1.19.4. Установка прошла успешно, в конце установки создал учетную запись администратора. По требованию установщика удалил папку install. Зашел на главную страницу, пытаюсь...
  • После установки Alto выдает ошибку
    E_WARNING [2] session_regenerate_id(): Cannot regenerate session id — session is not active See details in error.log Fatal error: Cannot 'continue' 2 levels in C:\xampp\htdocs\anime-plus....
  • Важно: критический баг в версии 1.1.16
    В версии 1.1.16 движка есть критический баг, из-за которого злоумышленник может получить доступ к чужим аккаунтам сайта. Подчеркиваю — баг именно в этой версии 1.1.16. Ни в предыдущих, ни в последующих версиях этого...

2 комментария

+1
а ты права смотрел на файл? вроде как не на index ругается а на /usr/local/zend-5.4/share/pear проверь права
0
Хм… Реально — в этом дело было. Права вообще стояли «0000». Теперь остается понять, как такое могло произойти…
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.